<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@400091=09</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@408477=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL1">
    <script state="run">
      <action>maincpu.pb@4151ED=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@411BD9=00|(maincpu.pb@411BD9 BAND ~04)</action>
      <action>maincpu.pb@411BF1=90</action>
    </script>
  </cheat>

  <cheat desc="Always Maximum Shot Power">
    <script state="run">
      <action>maincpu.pb@4151E5=05</action>
    </script>
  </cheat>

  <cheat desc="Select Main Weapon PL1">
    <parameter min="0" max="1" step="1"/>
    <script state="run">
      <action>maincpu.pb@4151E8=(param)</action>
    </script>
  </cheat>

  <cheat desc="Select Sub Weapon PL1">
    <parameter>
      <item value="0x00">No Sub Weapon</item>
      <item value="0x01">Homing</item>
      <item value="0x02">Napalm</item>
      <item value="0x03">Missile</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@4151EA=param</action>
    </script>
  </cheat>

  <cheat desc="Always Have Medals PL1">
    <script state="run">
      <action>maincpu.pw@4093EA=0009</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL1">
    <script state="run">
      <action>maincpu.pw@411BE8=0000</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@408479=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL2">
    <script state="run">
      <action>maincpu.pb@41882D=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@415219=00|(maincpu.pb@415219 BAND ~04)</action>
      <action>maincpu.pb@415231=90</action>
    </script>
  </cheat>

  <cheat desc="Always Maximum Shot Power PL2">
    <script state="run">
      <action>maincpu.pb@418825=05</action>
    </script>
  </cheat>

  <cheat desc="Select Main Weapon PL2">
    <parameter min="0" max="1" step="1"/>
    <script state="run">
      <action>maincpu.pb@418828=(param)</action>
    </script>
  </cheat>

  <cheat desc="Select Sub Weapon PL2">
    <parameter>
      <item value="0x00">No Sub Weapon</item>
      <item value="0x01">Homing</item>
      <item value="0x02">Napalm</item>
      <item value="0x03">Missile</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@41882A=param</action>
    </script>
  </cheat>

  <cheat desc="Always Have Medals PL2">
    <script state="run">
      <action>maincpu.pw@4093EC=0009</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL2">
    <script state="run">
      <action>maincpu.pw@415228=0000</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Select Region"> <comment>After you enable this cheat to see any effect you will have to reset the game (F3). Then you may have to turn the Test Mode ON (F2), reset again (F3), wait for Test Mode to appear then turn the Test Mode OFF (F2) and reset (F3).</comment>
    <parameter>
      <item value="0x01">Japan</item>
      <item value="0x02">US</item>
      <item value="0x03">World</item>
    </parameter>
    <script state="on">
      <action>temp0 =maincpu.mb@0FFFFF</action>
    </script>
    <script state="run">
      <action>maincpu.mb@0FFFFF=param</action>
    </script>
    <script state="off">
      <action>maincpu.mb@0FFFFF=temp0 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
